Ipelib

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# ipe::BitmapFinder Class Reference
Ipe Utilities

A visitor that recursively scans objects and collects all bitmaps. More...

`#include <ipeutils.h>`

Inherits ipe::Visitor.

List of all members.

## Public Member Functions

- void scanPage (const Page *page)
- virtual void visitGroup (const Group *obj)
- virtual void visitImage (const Image *obj)

## Public Attributes

- std::vector< Bitmap > iBitmaps

## Detailed Description

A visitor that recursively scans objects and collects all bitmaps.

## Member Function Documentation

void BitmapFinder::scanPage | ( | const Page * | page | ) |

void BitmapFinder::visitGroup | ( | const Group * | obj | ) | `[virtual]`

Called on an Group object.

Reimplemented from ipe::Visitor.

void BitmapFinder::visitImage | ( | const Image * | obj | ) | `[virtual]`

Called on an Image object.

Reimplemented from ipe::Visitor.

## Member Data Documentation

std::vector<Bitmap> ipe::BitmapFinder::iBitmaps

The documentation for this class was generated from the following files:

- ipeutils.h
- ipeutils.cpp